twigg twigg - 2 months ago 208
PHP Question

Laravel 5.3 Entry module not found: Error: Can't resolve 'buble'

I'm following the Laravel passport video tutorial on Laracasts and kept getting the below error, so I have taken a fresh install of Laravel using the Laravel install tool but I'm still getting the error:

laravel new test

cd test

gulp

Error: Entry module not found: Error: Can't resolve 'buble' in 'C:\xampp\htdocs\test' resolve 'buble' in 'C:\xampp\htdocs\test


This is a fresh install with no changes, am I missing something from the install process?

Answer

I'm pretty sure you need to do npm install before using gulp.

Bublé is a ES2015 compiler (light version of Babel). They come with Laravel, but you must previously install them, via npm install.